petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSFGatherEnd

ends pointwise gather operation that was started with PetscSFGatherBegin()

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFGatherEnd(PetscSF sf,MPI_Datatype unit,const void *leafdata,void *multirootdata)

Collective

### Input Arguments

| sf | - star forest
| unit | - data type
| leafdata | - leaf data to gather to roots

### Output Argument

multirootdata -root buffer to gather into, amount of space per root is equal to its degree

### See Also

PetscSFComputeDegreeEnd(), PetscSFScatterEnd()

### Level

intermediate

### Location

src/vec/is/sf/interface/sf.c

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages